Collect
curl --request POST \
--url https://api.decimal.ai/api/v1/evidence/events/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"events": [
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 4611686018427388000,
"boot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-11-07T05:31:56Z",
"boot_elapsed_ms": 1,
"schema_version": 1,
"operation_id": "<string>",
"correlation": {},
"payload": {}
}
],
"schema_version": 1
}
'import requests
url = "https://api.decimal.ai/api/v1/evidence/events/batch"
payload = {
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"events": [
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 4611686018427388000,
"boot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-11-07T05:31:56Z",
"boot_elapsed_ms": 1,
"schema_version": 1,
"operation_id": "<string>",
"correlation": {},
"payload": {}
}
],
"schema_version": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
batch_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
stream_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
events: [
{
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
seq: 4611686018427388000,
boot_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
occurred_at: '2023-11-07T05:31:56Z',
boot_elapsed_ms: 1,
schema_version: 1,
operation_id: '<string>',
correlation: {},
payload: {}
}
],
schema_version: 1
})
};
fetch('https://api.decimal.ai/api/v1/evidence/events/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.decimal.ai/api/v1/evidence/events/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'batch_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'stream_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'events' => [
[
'event_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'seq' => 4611686018427388000,
'boot_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'occurred_at' => '2023-11-07T05:31:56Z',
'boot_elapsed_ms' => 1,
'schema_version' => 1,
'operation_id' => '<string>',
'correlation' => [
],
'payload' => [
]
]
],
'schema_version' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.decimal.ai/api/v1/evidence/events/batch"
payload := strings.NewReader("{\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"events\": [\n {\n \"event_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"seq\": 4611686018427388000,\n \"boot_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"boot_elapsed_ms\": 1,\n \"schema_version\": 1,\n \"operation_id\": \"<string>\",\n \"correlation\": {},\n \"payload\": {}\n }\n ],\n \"schema_version\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.decimal.ai/api/v1/evidence/events/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"events\": [\n {\n \"event_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"seq\": 4611686018427388000,\n \"boot_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"boot_elapsed_ms\": 1,\n \"schema_version\": 1,\n \"operation_id\": \"<string>\",\n \"correlation\": {},\n \"payload\": {}\n }\n ],\n \"schema_version\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.decimal.ai/api/v1/evidence/events/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"events\": [\n {\n \"event_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"seq\": 4611686018427388000,\n \"boot_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"boot_elapsed_ms\": 1,\n \"schema_version\": 1,\n \"operation_id\": \"<string>\",\n \"correlation\": {},\n \"payload\": {}\n }\n ],\n \"schema_version\": 1\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}evidence
Collect
POST
/
api
/
v1
/
evidence
/
events
/
batch
Collect
curl --request POST \
--url https://api.decimal.ai/api/v1/evidence/events/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"events": [
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 4611686018427388000,
"boot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-11-07T05:31:56Z",
"boot_elapsed_ms": 1,
"schema_version": 1,
"operation_id": "<string>",
"correlation": {},
"payload": {}
}
],
"schema_version": 1
}
'import requests
url = "https://api.decimal.ai/api/v1/evidence/events/batch"
payload = {
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"events": [
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 4611686018427388000,
"boot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-11-07T05:31:56Z",
"boot_elapsed_ms": 1,
"schema_version": 1,
"operation_id": "<string>",
"correlation": {},
"payload": {}
}
],
"schema_version": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
batch_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
stream_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
events: [
{
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
seq: 4611686018427388000,
boot_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
occurred_at: '2023-11-07T05:31:56Z',
boot_elapsed_ms: 1,
schema_version: 1,
operation_id: '<string>',
correlation: {},
payload: {}
}
],
schema_version: 1
})
};
fetch('https://api.decimal.ai/api/v1/evidence/events/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.decimal.ai/api/v1/evidence/events/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'batch_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'stream_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'events' => [
[
'event_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'seq' => 4611686018427388000,
'boot_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'occurred_at' => '2023-11-07T05:31:56Z',
'boot_elapsed_ms' => 1,
'schema_version' => 1,
'operation_id' => '<string>',
'correlation' => [
],
'payload' => [
]
]
],
'schema_version' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.decimal.ai/api/v1/evidence/events/batch"
payload := strings.NewReader("{\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"events\": [\n {\n \"event_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"seq\": 4611686018427388000,\n \"boot_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"boot_elapsed_ms\": 1,\n \"schema_version\": 1,\n \"operation_id\": \"<string>\",\n \"correlation\": {},\n \"payload\": {}\n }\n ],\n \"schema_version\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.decimal.ai/api/v1/evidence/events/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"events\": [\n {\n \"event_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"seq\": 4611686018427388000,\n \"boot_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"boot_elapsed_ms\": 1,\n \"schema_version\": 1,\n \"operation_id\": \"<string>\",\n \"correlation\": {},\n \"payload\": {}\n }\n ],\n \"schema_version\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.decimal.ai/api/v1/evidence/events/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"batch_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"stream_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"events\": [\n {\n \"event_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"seq\": 4611686018427388000,\n \"boot_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"occurred_at\": \"2023-11-07T05:31:56Z\",\n \"boot_elapsed_ms\": 1,\n \"schema_version\": 1,\n \"operation_id\": \"<string>\",\n \"correlation\": {},\n \"payload\": {}\n }\n ],\n \"schema_version\": 1\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Cookies
Body
application/json
Response
Successful Response